All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
setup.c File Reference

Routines to setup control primitives from configuration. More...

## Functions

int | snd_sctl_install (snd_sctl_t *h)
| Install given values to control elements. More...
int | snd_sctl_remove (snd_sctl_t *h)
| Remove (restore) previous values from control elements. More...
int | snd_sctl_build (snd_sctl_t **sctl, snd_ctl_t *handle, snd_config_t *conf, snd_config_t *private_data, int mode)
| Build setup control handle. More...
int | snd_sctl_free (snd_sctl_t *sctl)
| Free setup control handle. More...

## Detailed Description

Routines to setup control primitives from configuration.

Author
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2001

Routines to setup control primitives from configuration